=== debian/changelog ===
ros-indigo-moveit-simple-grasps (1.3.1-0trusty) trusty; urgency=high

  * catkin lint cleanup
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 07:00:00 -0000

ros-indigo-moveit-simple-grasps (1.3.0-0trusty) trusty; urgency=high

  * Z Axis implemented
  * Fixed API changes in moveit_visual_tools
  * Adding grasp configurations for Romeo, Nao and Pepper
  * Update README.md
  * Fix install space
  * New setRobotStatePreGrasp(), setRobotStateGrasp(), and setRobotState() functions for opening and closing EE
  * Fixed test launch
  * Added new test functions
  * Contributors: Dave Coleman, nlyubova, rheidrich

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-moveit-simple-grasps (1.2.1-0trusty) trusty; urgency=high

  * Refactored for new moveit_visual_tools API
  * Fixed package.xml
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 27 Oct 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.2.0-0trusty) trusty; urgency=high



 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 19 Sep 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.1.0-0trusty) trusty; urgency=high

  * Fixed grasp pose rotation
  * Created new verbose constructor flag to enable easy debugging
  * Allow a grasp pose to be rotated along z axis
  * Created new pick place pipeline template
  * Moved ClamArm config to this repo
  * Updated package description
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 31 Jul 2014 06:00:00 -0000

ros-indigo-moveit-simple-grasps (1.0.1-0trusty) trusty; urgency=high

  * Moved base link out of individual end effector configurations
  * Fixed tests for new gripper config format
  * Fix for strict cppcheck and g++ warnings/errors
  * Remove self assignment
  * fix functions with no return statement and other cppcheck errors fix
  * Compatibility changes for ROS Indigo (Eigen find pkg)
  * Restored the lost grasp data for REEM
  * Renamed grasp data config file for REEM and updated launch file accordingly.
  * Fix lost contents of file and add left hand.
  * Enabled dual arm grasping, filtering
  * Fixes for more strict moveit_visual_tools data access
  * Deprecated function, made robot grasp config files have more than 1 end effector
  * Fixed posture bug and renamed local vars to not have _ postfix
  * Added ability to filter pre-grasps as well
  * Removed this-> because does not follow MoveIt style guidelines
  * Made tests left/right invariant
  * Refactored RobotGraspData and loader function
  * Renamed RobotGraspData to GraspData
  * Made graspDataLoader into a function the GraspData class.
  * Move grasp data struct to separate file
  * Fixed filter test
  * Created left hand config for baxter
  * Improved tests
  * Changed deprecated function name
  * Add options to grasp generation action goal.
  * Yaml conversion
  * Improved error handling of loading from yaml, removed unnecessary data
  * Fixes for new grasp data loader
  * Fixes per catkin_lintg
  * Convert baxter_data.h to baxter_gripper.yaml
  * Add launch script for grasp generator server + testing node
  * Replace reem_data.h with reem_hand.yaml
  * Add grasp_data_loader to be used by server.
  * Changed way visualizations are made
  * Moved the visualize grasp functionality to moveit_visual_tools. Deprecated generateAllGrasps
  * Fixed grasp filter bug of pose in wrong frame of reference
  * Trying to visualize arm reaches
  * Fixed grasp filter
  * Added new hand_roll feature
  * Changed name of moveit_simple_grasps
  * Renamed files and classes to not have the word MoveIt
  * Added picture
  * Added ability to do full grasp rotation, finer grained access, documentation
  * Fix travis
  * Changed name of moveit_visual_tools
  * Initial commit
  * Contributors: Bence Magyar, Dave Coleman, Jordi Pages

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 30 May 2014 06:00:00 -0000
